﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadGrid_Export_PDF_RadGridGroupFooterExport : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = GeneratingTable();
    }
    private DataTable GeneratingTable()
    {
        DataTable table = new DataTable();
        table.Columns.Add("Text");
        table.Columns.Add("Number", typeof(decimal));

        for (int i = 0; i < 200; i++)
        {
            table.Rows.Add("Col1Row" + i % 2, (i % 4) * 3.45);
        }

        return table;
    }

    string exportFooter;
    protected void RadGrid1_ItemCommand(object sender, Telerik.Web.UI.GridCommandEventArgs e)
    {
        if (e.CommandName == RadGrid.ExportToPdfCommandName)
        {
            RadGrid1.ShowFooter = false;
            GridFooterItem footer = RadGrid1.MasterTableView.GetItems(GridItemType.Footer)[0] as GridFooterItem;
            exportFooter = "<tr>";
            foreach (GridColumn col in RadGrid1.MasterTableView.RenderColumns)
            {
                if (!(col.UniqueName == "ExpandColumn" || col.UniqueName == "RowIndicator"))
                {
                    exportFooter += "<td>" + footer[col.UniqueName].Text + "</td>";
                }
            }

            exportFooter += "</tr>";
        }
    }
    protected void RadGrid1_PdfExporting(object sender, GridPdfExportingArgs e)
    {
        e.RawHTML = e.RawHTML.Replace("</tbody>", exportFooter + "</tbody>");
    }
}